org.apache.xerces.dom

## Interface DeferredNode

- All Superinterfaces:
    org.w3c.dom.Node
  All Known Implementing Classes:
    DeferredAttrImpl, DeferredAttrNSImpl, DeferredCDATASectionImpl, DeferredCommentImpl, DeferredDocumentImpl, DeferredDocumentTypeImpl, DeferredElementDefinitionImpl, DeferredElementImpl, DeferredElementNSImpl, DeferredEntityImpl, DeferredEntityReferenceImpl, DeferredNotationImpl, DeferredProcessingInstructionImpl, DeferredTextImpl

      public interface DeferredNode
      extends org.w3c.dom.Node

  An interface for deferred node object.
  Version:
    $Id: DeferredNode.java 447266 2006-09-18 05:57:49Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `TYPE_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNodeIndex()` Returns the node index.

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Field Detail

    - #### TYPE_NODE

          static final short TYPE_NODE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getNodeIndex

          int getNodeIndex()

      Returns the node index.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.